com.tibco.datagrid.exceptions

## Class DataGridSQLDMLCommandException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibco.datagrid.DataGridException
      - - com.tibco.datagrid.exceptions.DataGridSQLDMLCommandException

- All Implemented Interfaces:
    java.io.Serializable

      public class DataGridSQLDMLCommandException
      extends DataGridException

  Cannot process the DML command.

  Common Diagnoses:

  - The DML command failed to convert a value for a column.
  - The DML command contained duplicate column references.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataGridSQLDMLCommandException()`
    `DataGridSQLDMLCommandException(java.lang.String message)`
    `DataGridSQLDMLCommandException(java.lang.String message, java.lang.Throwable cause)`
    `DataGridSQLDMLCommandException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.tibco.datagrid.DataGridException

      `getErrorCode, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataGridSQLDMLCommandException

          public DataGridSQLDMLCommandException()

    - #### DataGridSQLDMLCommandException

          public DataGridSQLDMLCommandException(java.lang.String message,
                                                java.lang.Throwable cause)

    - #### DataGridSQLDMLCommandException

          public DataGridSQLDMLCommandException(java.lang.String message)

    - #### DataGridSQLDMLCommandException

          public DataGridSQLDMLCommandException(java.lang.Throwable cause)